JavaScript
import { Configuration, RunApi } from 'autotab';
const runClient = new RunApi(new Configuration({
apiKey: process.env['AUTOTAB_API_KEY'],
}));
async function main() {
const run = await runClient.retrieve({
id: "run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
});
}
main();import autotab
from autotab.rest import ApiException
from pprint import pprint
client = autotab.Client(
autotab.Configuration(
api_key = os.environ["AUTOTAB_API_KEY"]
)
)
try:
run = await autotab.RunApi(client).retrieve(
id="run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
)
print(f"state: {run.state} output: {run.data}")
except ApiException as e:
print(f"Exception: {e})curl --request GET \
--url https://api.autotab.com/v1/run/{id} \
--header 'Authorization: Bearer <token>'
{
"id": "<string>",
"skill_id": "<string>",
"owner": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z",
"name": "<string>",
"end_time": "2023-11-07T05:31:56Z",
"inputs": {},
"data": {},
"video_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Run
Retrieve
GET
/
run
/
{id}
JavaScript
import { Configuration, RunApi } from 'autotab';
const runClient = new RunApi(new Configuration({
apiKey: process.env['AUTOTAB_API_KEY'],
}));
async function main() {
const run = await runClient.retrieve({
id: "run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
});
}
main();import autotab
from autotab.rest import ApiException
from pprint import pprint
client = autotab.Client(
autotab.Configuration(
api_key = os.environ["AUTOTAB_API_KEY"]
)
)
try:
run = await autotab.RunApi(client).retrieve(
id="run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
)
print(f"state: {run.state} output: {run.data}")
except ApiException as e:
print(f"Exception: {e})Authorizations
Your Autotab API key
Path Parameters
Response
RunSession · object | null
Successful Response
Available options:
client, cloud Available options:
play, pause, finish, reset, cancel, timeout, editing ⌘I